# Auto-generated file -- DO NOT EDIT!!!!!

# Licensed to the Apache Software Foundation (ASF) under one or more
# contributor license agreements.  See the NOTICE file distributed with
# this work for additional information regarding copyright ownership.
# The ASF licenses this file to You under the Apache License, Version 2.0
# (the "License"); you may not use this file except in compliance with
# the License.  You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

=head1 NAME

Lucy::Search::ORQuery - Union multiple result sets.

=head1 SYNOPSIS

    my $foo_or_bar_query = Lucy::Search::ORQuery->new(
        children => [ $foo_query, $bar_query ],
    );
    my $hits = $searcher->hits( query => $foo_or_bar_query );
    ...



=head1 DESCRIPTION

ORQuery is a composite L<Query|Lucy::Search::Query> which matches
when any of its children match, so its result set is the union of their
result sets.  Matching documents recieve a summed score from all matching
child Queries.

=head1 CONSTRUCTORS

=head2 new( I<[labeled params]> )

    my $foo_or_bar_query = Lucy::Search::ORQuery->new(
        children => [ $foo_query, $bar_query ],
    );

=over

=item *

B<children> - An array of child Queries.

=back





=head1 METHODS

=head2 add_child(query)

Add a child Query node.



=head1 INHERITANCE

Lucy::Search::ORQuery isa L<Lucy::Search::PolyQuery> isa L<Lucy::Search::Query> isa L<Lucy::Object::Obj>.


=cut

